(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     14147,        310]
NotebookOptionsPosition[     13675,        290]
NotebookOutlinePosition[     14129,        308]
CellTagsIndexPosition[     14086,        305]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Panel", "[", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"3", "*", 
          RowBox[{"Sin", "[", "t", "]"}]}], ",", 
         RowBox[{"3", "*", 
          RowBox[{"Cos", "[", "t", "]"}]}], ",", "t"}], "}"}]}], ",", 
      RowBox[{"c", "=", 
       RowBox[{"-", "10"}]}], ",", 
      RowBox[{"d", "=", "10"}]}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"b", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<f(t) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "q", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(t\), \(min\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "c", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(t\), \(max\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "d", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<c \>\"", ",", 
            RowBox[{"Slider", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "t", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", "0.001"}], "}"}]}], "]"}], ",", 
            RowBox[{"Dynamic", "[", "t", "]"}]}], "}"}], "]"}], ","}], "*)"}],
        "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
        RowBox[{
        "Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Dynamic", "[", 
           RowBox[{"Grid", "[", 
            RowBox[{"(*", "0", "*)"}], "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{"text", " ", "-", " ", 
              RowBox[{"first", " ", "row"}]}], "*)"}], "\[IndentingNewLine]", 
            
            RowBox[{"{", 
             RowBox[{"(*", "1", "*)"}], "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"(*", "2", "*)"}], "\[IndentingNewLine]", 
               RowBox[{"Framed", "@", 
                RowBox[{"Text", "@", 
                 RowBox[{"Column", "[", 
                  RowBox[{"(*", "3", "*)"}], "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"(*", "4", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<f(t) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "q", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", "4", "*)"}], "}"}], ",", 
                   RowBox[{"Alignment", "\[Rule]", "Center"}]}], 
                  "\[IndentingNewLine]", 
                  RowBox[{"(*", "3", "*)"}], "]"}]}]}], "\[IndentingNewLine]",
                "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{"plots", " ", "-", " ", 
                RowBox[{"second", " ", "row"}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"Show", "[", 
                RowBox[{"{", 
                 RowBox[{"(*", "show", "*)"}], "\[IndentingNewLine]", 
                 RowBox[{"ParametricPlot3D", "[", 
                  RowBox[{"(*", "plot", "*)"}], "\[IndentingNewLine]", 
                  RowBox[{"q", " ", ",", " ", 
                   RowBox[{"{", 
                    RowBox[{"t", ",", "c", ",", "d"}], "}"}], ",", " ", 
                   RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
                   RowBox[{"ImageSize", "\[Rule]", "350"}], ",", 
                   RowBox[{"BoxRatios", "\[Rule]", "Automatic"}]}], 
                  "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  RowBox[{"(*", "plot", "*)"}], "]"}], "\[IndentingNewLine]", 
                 
                 RowBox[{"(*", "show", "*)"}], "}"}], "]"}], 
               "\[IndentingNewLine]", 
               RowBox[{"(*", "2", "*)"}], "}"}]}], "\[IndentingNewLine]", 
             RowBox[{"(*", "1", "*)"}], "}"}], "\[IndentingNewLine]", 
            RowBox[{"(*", "0", "*)"}], "]"}], "]"}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"parameters", " ", "for", " ", "Manipulate"}], "*)"}], 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], "]"}]}],
    "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5548229248409853`*^9, 3.5548229466889133`*^9}, {
   3.554822985184717*^9, 3.554822990051464*^9}, {3.5548232361851683`*^9, 
   3.554823244343986*^9}, {3.55482330863838*^9, 3.5548233728128223`*^9}, {
   3.55482371858051*^9, 3.5548237381939077`*^9}, {3.5548237781320744`*^9, 
   3.5548237821148243`*^9}, 3.554823826721324*^9, 3.554823884960312*^9, {
   3.554823934487673*^9, 3.55482402880315*^9}, {3.554824065601808*^9, 
   3.5548240780637817`*^9}, {3.554824588728223*^9, 3.554824740461091*^9}, {
   3.554824901128907*^9, 3.554824901350931*^9}, {3.554824970830752*^9, 
   3.554824994704013*^9}, {3.55482504086754*^9, 3.5548250617734737`*^9}, {
   3.5548251139903107`*^9, 3.5548251178233557`*^9}, {3.5548251766566887`*^9, 
   3.554825187628934*^9}, {3.554825217924676*^9, 3.554825223235094*^9}, {
   3.554825261921914*^9, 3.554825282804688*^9}, {3.5548253607363873`*^9, 
   3.5548254167455177`*^9}, 3.554825572841331*^9, {3.5548259437586603`*^9, 
   3.554826069258127*^9}, 3.5548263383386803`*^9, {3.55482656679825*^9, 
   3.554826570588431*^9}, {3.554830885020033*^9, 3.554830997524693*^9}, 
   3.554831647568816*^9, {3.5548316953994904`*^9, 3.554831718298993*^9}, {
   3.555442983341394*^9, 3.555442988200677*^9}, {3.555443019847315*^9, 
   3.5554431003546953`*^9}, {3.555443133223069*^9, 3.555443169808136*^9}, {
   3.555443235494568*^9, 3.555443281709242*^9}, {3.555443331218523*^9, 
   3.555443331664195*^9}, {3.555854117460726*^9, 3.555854144210371*^9}, {
   3.5558545651288967`*^9, 3.555854570656056*^9}, {3.555854616817471*^9, 
   3.555854624823022*^9}, {3.555863076542652*^9, 3.555863131859889*^9}, {
   3.555863162958136*^9, 3.555863220026888*^9}, {3.555863288834029*^9, 
   3.55586344199885*^9}, {3.5558634731343203`*^9, 3.555863486549438*^9}, 
   3.5558944741076202`*^9, {3.555894507779171*^9, 3.55589451236117*^9}, {
   3.555894727412059*^9, 3.555894770352092*^9}, {3.555894826784403*^9, 
   3.555894916790268*^9}, {3.555895133713423*^9, 3.555895135054449*^9}, 
   3.555896073832879*^9, {3.5558961129662237`*^9, 3.555896173771688*^9}, {
   3.55589629615749*^9, 3.555896329563645*^9}, {3.555896377005917*^9, 
   3.5558964382113113`*^9}, 3.555928922422305*^9, 3.555928952864908*^9, {
   3.555928985455372*^9, 3.5559290742046537`*^9}, {3.555929160650202*^9, 
   3.5559291992819633`*^9}, {3.5559383980898447`*^9, 3.555938426496605*^9}, {
   3.555938638434586*^9, 3.5559386402785807`*^9}, {3.555938771417759*^9, 
   3.555938776353813*^9}, {3.555938806778221*^9, 3.555939089266123*^9}, {
   3.555939145597715*^9, 3.555939158907517*^9}, {3.5559392887261477`*^9, 
   3.555939334730699*^9}, {3.55594049014183*^9, 3.5559404946566563`*^9}, {
   3.555940546015019*^9, 3.55594056014144*^9}, {3.555940645305149*^9, 
   3.555940692978821*^9}, {3.5559407513423347`*^9, 3.5559407978108063`*^9}, {
   3.555941020644127*^9, 3.5559411694928627`*^9}, {3.5559552706354723`*^9, 
   3.555955302422906*^9}, {3.566505189082842*^9, 3.5665052837498827`*^9}, {
   3.5665053399193993`*^9, 3.566505353237705*^9}, 3.566519895926311*^9, {
   3.56652010319878*^9, 3.566520103662787*^9}, {3.566520152677472*^9, 
   3.5665201734406548`*^9}, {3.566520261701912*^9, 3.566520276381036*^9}, {
   3.566520649393042*^9, 3.566520683579867*^9}, {3.566520739729834*^9, 
   3.5665207599518127`*^9}, {3.566520979625779*^9, 3.566520982545764*^9}, {
   3.566521051931196*^9, 3.5665210743686733`*^9}, {3.5665212544797153`*^9, 
   3.56652127305494*^9}, 3.566521303599242*^9, {3.566521521048658*^9, 
   3.566521521534005*^9}, {3.566560968413124*^9, 3.5665609687138557`*^9}, {
   3.566561014684142*^9, 3.566561028418305*^9}, {3.566561171934966*^9, 
   3.566561284223938*^9}, 3.566561325038011*^9, {3.566561420852268*^9, 
   3.566561424289703*^9}, {3.567423864170499*^9, 3.567423866896572*^9}, {
   3.567424032106077*^9, 3.5674240351350822`*^9}}],

Cell[BoxData[
 PanelBox[
  DynamicModuleBox[{$CellContext`q$$ = {
   3 Sin[$CellContext`t], 3 
    Cos[$CellContext`t], $CellContext`t}, $CellContext`c$$ = -10, \
$CellContext`d$$ = 10}, 
   TagBox[GridBox[{
      {
       TemplateBox[{"\"f(t) = \"",InputFieldBox[
          Dynamic[$CellContext`q$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(t\\), \\(min\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`c$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(t\\), \\(max\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`d$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       DynamicBox[ToBoxes[
         Manipulate[
          Dynamic[
           Grid[{{
              Framed[
               Text[
                Column[{
                  Style[
                   Row[{"f(t) = ", 
                    TraditionalForm[$CellContext`q$$]}], Black, 16]}, 
                 Alignment -> Center]]]}, {
              Show[{
                
                ParametricPlot3D[$CellContext`q$$, {$CellContext`t, \
$CellContext`c$$, $CellContext`d$$}, PlotStyle -> Thick, ImageSize -> 350, 
                 BoxRatios -> Automatic]}]}}]], TrackedSymbols -> True, 
          Alignment -> Center], StandardForm],
        ImageSizeCache->{489., {541., 548.}}]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
    "Column"],
   DynamicModuleValues:>{}]]], "Output",
 CellChangeTimes->{
  3.5559553537931643`*^9, 3.5665052899900093`*^9, {3.5665198858231173`*^9, 
   3.566519899041972*^9}, 3.566520156021954*^9, 3.566520217590797*^9, {
   3.5665202642779493`*^9, 3.566520279539378*^9}, {3.5665206562513742`*^9, 
   3.566520687272629*^9}, {3.566520744318378*^9, 3.566520762192593*^9}, 
   3.566521076952672*^9, {3.5665212570160837`*^9, 3.566521305625123*^9}, 
   3.566521524628559*^9, 3.566521592484137*^9, 3.566561294626945*^9, 
   3.566561327319907*^9, {3.56656140549244*^9, 3.5665614479188137`*^9}, 
   3.567386641133421*^9, 3.5674240376415167`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"THIS", " ", "NOTEBOOK", " ", "IS"}], "\n", 
   "\"\<Bard - Mathematica - Parametric Plot 3D Demo\>\"", 
   "\[IndentingNewLine]", 
   RowBox[{"By", " ", 
    ButtonBox[
     RowBox[{"Ethan", " ", "Bloch"}],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"],
        None},
     ButtonNote->
      "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"]}]}]}]\
], "Input",
 CellChangeTimes->{{3.554643887154148*^9, 3.554643894120864*^9}, {
   3.554643928521969*^9, 3.5546439339859943`*^9}, {3.5546439870866327`*^9, 
   3.554644011899135*^9}, 3.554644188266039*^9, 3.554645979032176*^9, {
   3.5546460222225246`*^9, 3.554646054791726*^9}, {3.555941238852641*^9, 
   3.555941263560933*^9}, {3.559236862460759*^9, 3.5592368627682877`*^9}, {
   3.566520253854744*^9, 3.5665202548922443`*^9}, 3.5665225956757936`*^9, 
   3.567386637929756*^9, {3.5675144320877657`*^9, 3.56751443496383*^9}}]
},
WindowSize->{1032, 972},
WindowMargins->{{52, Automatic}, {Automatic, 2}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 22, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 9309, 174, 794, "Input"],
Cell[9891, 198, 2701, 65, 1216, "Output"]
}, Open  ]],
Cell[12607, 266, 1064, 22, 110, "Input"]
}
]
*)

(* End of internal cache information *)
